My Oracle Support Banner

Upgrading Forms 11gR1 To Forms 12c Raises FRM-41337 Error or FRM-93652 for Forms Using POPULATE_LIST Built-in (Doc ID 2113628.1)

Last updated on AUGUST 30, 2018

Applies to:

Oracle Forms - Version 12.2.1.0.0 and later
Information in this document applies to any platform.

Symptoms

The following error is raised on most of the forms that have been upgraded from Forms 11gR1 to Forms 12c:

FRM-41337: "Cannot populate the list from record group."

There are hundreds of forms and all have been compiled successfully with few warnings. Most of the forms have drop downs which are populated at run time from a table.

POPULATE_LIST built in is being used. It is the same code used from Forms 6i->9i->10g->11g and now to 12c.

The error is raised for few items on the form which are getting populated using the same code and table data.

This problem does not happen with Oracle Forms 11gR1.

Changes

 Upgraded from Oracle Forms 11gR1 to Oracle Forms 12c.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.